///
/// $ cargo run --example populate_redis
///
use redis::{
    //RedisResult,
    Client,
    Commands,
    Connection,
};

fn do_something() -> redis::RedisResult<()> {
    let client = Client::open("redis://127.0.0.1/")?;
    let mut con: Connection = client.get_connection()?;

    let _ = con.set("/clientkey", "/pl/0/")?;
    let _ = con.set(
        "/EDH/0",
        "[[1.0, 0.0, 0.0],\n [ 0.0, 1.0, 0.0],\n [ 0.0, 0.0, 1.0]]",
    )?;
    let _ = con.set("/kpps/0", "5000")?;
    let _ = con.set("/intensity/0", "255")?;
    Ok(())
}
fn main() {
    _ = do_something();
}
